﻿using System;
using Telerik.Windows.Documents.Model;

namespace SilverlightApplication1
{
    internal static class SectionExtensions
    {
        public static bool IsSectionSelected(this Section section)
        {
            bool isSelected;
            if (bool.TryParse(section.Tag, out isSelected))
            {
                return isSelected;
            }

            return false;
        }

        public static void SetSectionSelected(this Section section, bool value)
        {
            section.Tag = value.ToString();
        }
    }
}
